org.eclnt.jsfserver.elements.componentnodes

## Class HIDEABLENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HIDEABLENode

- All Implemented Interfaces:
    java.io.Serializable

      public class HIDEABLENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HIDEABLENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HIDEABLENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindCascaderenderedfalse(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindComment(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindHeight(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindHidden(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindRendered(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindShadow(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindTypeofhiding(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindWidth(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindX(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `bindY(IDynamicContentBindingObject value)`
    `HIDEABLENode` | `setAnimatechangeofsize(boolean value)`
    `HIDEABLENode` | `setAnimatechangeofsize(java.lang.String value)`
    `HIDEABLENode` | `setCascaderenderedfalse(boolean value)`
    `HIDEABLENode` | `setCascaderenderedfalse(java.lang.String value)`
    `HIDEABLENode` | `setComment(java.lang.String value)`
    `HIDEABLENode` | `setConfiginfo(java.lang.String value)`
    `HIDEABLENode` | `setFxstyleseq(java.lang.String value)`
    `HIDEABLENode` | `setHeight(int value)`
    `HIDEABLENode` | `setHeight(java.lang.String value)`
    `HIDEABLENode` | `setHidden(boolean value)`
    `HIDEABLENode` | `setHidden(java.lang.String value)`
    `HIDEABLENode` | `setId(java.lang.String value)`
    `HIDEABLENode` | `setReference(java.lang.String value)`
    `HIDEABLENode` | `setRendered(boolean value)`
    `HIDEABLENode` | `setRendered(java.lang.String value)`
    `HIDEABLENode` | `setShadow(java.lang.String value)`
    `HIDEABLENode` | `setStyleseq(java.lang.String value)`
    `HIDEABLENode` | `setStylevariant(java.lang.String value)`
    `HIDEABLENode` | `setTypeofhiding(java.lang.String value)`
    `HIDEABLENode` | `setWidth(int value)`
    `HIDEABLENode` | `setWidth(java.lang.String value)`
    `HIDEABLENode` | `setX(int value)`
    `HIDEABLENode` | `setX(java.lang.String value)`
    `HIDEABLENode` | `setY(int value)`
    `HIDEABLENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HIDEABLENode

          public HIDEABLENode()

  - ### Method Detail

    - #### setId

          public HIDEABLENode setId(java.lang.String value)

    - #### setAnimatechangeofsize

          public HIDEABLENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public HIDEABLENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public HIDEABLENode setAnimatechangeofsize(boolean value)

    - #### setCascaderenderedfalse

          public HIDEABLENode setCascaderenderedfalse(java.lang.String value)

    - #### bindCascaderenderedfalse

          public HIDEABLENode bindCascaderenderedfalse(IDynamicContentBindingObject value)

    - #### setCascaderenderedfalse

          public HIDEABLENode setCascaderenderedfalse(boolean value)

    - #### setComment

          public HIDEABLENode setComment(java.lang.String value)

    - #### bindComment

          public HIDEABLENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HIDEABLENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HIDEABLENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public HIDEABLENode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public HIDEABLENode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public HIDEABLENode setHeight(java.lang.String value)

    - #### bindHeight

          public HIDEABLENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HIDEABLENode setHeight(int value)

    - #### setHidden

          public HIDEABLENode setHidden(java.lang.String value)

    - #### bindHidden

          public HIDEABLENode bindHidden(IDynamicContentBindingObject value)

    - #### setHidden

          public HIDEABLENode setHidden(boolean value)

    - #### setReference

          public HIDEABLENode setReference(java.lang.String value)

    - #### setRendered

          public HIDEABLENode setRendered(java.lang.String value)

    - #### bindRendered

          public HIDEABLENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HIDEABLENode setRendered(boolean value)

    - #### setShadow

          public HIDEABLENode setShadow(java.lang.String value)

    - #### bindShadow

          public HIDEABLENode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public HIDEABLENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public HIDEABLENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HIDEABLENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HIDEABLENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTypeofhiding

          public HIDEABLENode setTypeofhiding(java.lang.String value)

    - #### bindTypeofhiding

          public HIDEABLENode bindTypeofhiding(IDynamicContentBindingObject value)

    - #### setWidth

          public HIDEABLENode setWidth(java.lang.String value)

    - #### bindWidth

          public HIDEABLENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HIDEABLENode setWidth(int value)

    - #### setX

          public HIDEABLENode setX(java.lang.String value)

    - #### bindX

          public HIDEABLENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public HIDEABLENode setX(int value)

    - #### setY

          public HIDEABLENode setY(java.lang.String value)

    - #### bindY

          public HIDEABLENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public HIDEABLENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.